<?php

/**
 * Test: NLatteMacros::formatString()
 *
 * @author     David Grudl
 * @package    Nette\Templates
 * @subpackage UnitTests
 */



require dirname(__FILE__) . '/../bootstrap.php';



Assert::same( '""',  NLatteMacros::formatString('') );
Assert::same( '" "',  NLatteMacros::formatString(' ') );
Assert::same( "0",  NLatteMacros::formatString('0') );
Assert::same( "-0.0",  NLatteMacros::formatString('-0.0') );
Assert::same( '"symbol"',  NLatteMacros::formatString('symbol') );
Assert::same( "\$var",  NLatteMacros::formatString('$var') );
Assert::same( '"symbol$var"',  NLatteMacros::formatString('symbol$var') );
Assert::same( "'var'",  NLatteMacros::formatString("'var'") );
Assert::same( '"var"',  NLatteMacros::formatString('"var"') );
Assert::same( '"v\\"ar"',  NLatteMacros::formatString('"v\\"ar"') );
Assert::same( "'var\"",  NLatteMacros::formatString("'var\"") );
